### set line

Use the set line command to configure and display parameters associated with a serial line. All users can display and configure attributes for the lines they are using. Root privileges are required to display or configure other lines, however.

Also see the set ports and set flow commands.

#### Command Syntax

##### Configuration Syntax

Enter the set line command as shown below to configure serial line parameters.

`set line [baud=bps] [break={ignore|send|escape}] [csize={5|6|7|8}] [error={ignore|null|parmrk|dos}] [inpck={on|off}] [istrip={on|off}] [onlcr={on|off}] [otab={on|off}] [parity={O|E|N}] [range=range] [stopb={1|2}] [revert={factory|nvram}]`

##### Display Syntax

Enter the set line command as shown below to display serial line parameters.

`set line [range=range]`

#### Command Fields

Command Field | Description
baud | Is the line speed (bps) for this line. Use one of the following values (the default is 9600): 50, 75, 100*, 110, 134, 150, 200, 300, 600, 1200, 1800, 2400, 3600*, 4800, 9600, 14400**, 19200, 28800**, 38400, 57600, 115200, 230400, 460800* *Not available on Digi One RealPort or PortServer TS 2/4 **Not available on PortServer TS 8/16
break | ignore - means that the telnet break signal is ignored. send - means that the device/terminal server sends the telnet break signal on the serial line when the device/terminal server receives a break signal. escape - means that the device/terminal server sends the escape sequence on the serial line when the device/terminal server receives a break signal. The default is ignore.
csize | Specifies the character size, which can be 5, 6, 7, or 8 bits. The default is 8.
error | Determines how the device/terminal server handles parity errors on the line. ignore - means the device/terminal server discards characters with errors. null - causes the device/terminal server to replace the error with a NUL character (00h). parmrk - causes the device/terminal server to mark the error with FFh + 00h + [the character with the error]. dos - means that the device/terminal server marks the error with an error character. The default is ignore.
inpck | on - means input parity checking is turned on. off - means input error checking is turned off. The default is off.
istrip | on - means the high-order bit is stripped from each byte. off - means the high order bit is not stripped from each byte. The default is off.
onlcr | on - means that new line characters are mapped to carriage return/line feed characters. off - means that no mapping of new line characters occurs. The default is off.
otab | on - means that output tabs are converted to eight spaces. off - means that output tabs are not converted. The default is off.
parity | o - means odd parity is selected. e - means even parity is selected. n - means no parity is selected. The default is n (no parity).
range | Specifies the port or range of ports to which this command applies.
stopb | Specifies the number of stop bits per character to use on this line. The value you use here must match the setting on the device connected to this port. Use 1 or 2 stop bits. The default is 1 stop bit.
revert | factory - restore flow control settings to factory defaults. nvram - restore flow control settings to last saved settings.

#### Command Examples

##### Displaying Serial Line Parameters

In this example, the set line command is used to display serial line parameters.

`set line`

##### Configuring Baud, Parity and Stop Bits

In this example, the set line command is used to configure the line’s baud rate (line speed), parity, and the number of stop bits.

`set line range=3-4 baud=150 parity=e stopb=2 csize=6`